import { IsString, IsUUID, IsObject, IsOptional } from 'class-validator';

/**
 * DTO for updating an existing group
 */
export class UpdateGroupDto {
  /**
   * The name of the group
   */
  @IsOptional()
  @IsString()
  name?: string;

  /**
   * The ID of the project this group belongs to
   */
  @IsOptional()
  @IsUUID()
  projectId?: string;

  /**
   * Metadata for the group
   */
  @IsOptional()
  @IsObject()
  metadata?: Record<string, any>;
}