import { IsString, IsOptional, IsObject, IsDate } from 'class-validator';
import { Type } from 'class-transformer';

/**
 * DTO for updating a user
 */
export class UpdateUserDto {
  @IsString()
  @IsOptional()
  name?: string;

  @IsString()
  @IsOptional()
  avatar?: string;

  @IsString()
  @IsOptional()
  githubId?: string;

  @IsDate()
  @IsOptional()
  @Type(() => Date)
  gdprTimestamp?: Date;

  @IsObject()
  @IsOptional()
  metadata?: Record<string, any>;
}